VirtualBox

Ticket #57 (closed defect: fixed)

Opened 7 years ago

Last modified 4 years ago

Windows XP crashes when using shared folders -> Fixed in 2.1.2

Reported by: pts Owned by:
Priority: critical Component: other
Version: VirtualBox 1.6.0 Keywords: shared folders crash
Cc: Guest type: other
Host type: other

Description (last modified by pentagonik) (diff)


Attachments

screenshot.png Download (68.4 KB) - added by Kingbonecrusher 7 years ago.
Screenshot
BSOD.png Download (33.1 KB) - added by chemist109 7 years ago.
Screenshot of BSOD
Filename.png Download (355.8 KB) - added by Ronni 7 years ago.
Mini071307-01.dmp Download (129.9 KB) - added by craigsn 7 years ago.
for craigsn
VirtualBox_BSOD.png Download (11.4 KB) - added by Andre.Ziegler 7 years ago.
Crash of m Vista Ultimate
minidump.7z Download (28.0 KB) - added by Andre.Ziegler 7 years ago.
MiniDump of last crash (Vista Ultimate)
VBoxShare_DebugView_Output.png Download (57.9 KB) - added by Andre.Ziegler 7 years ago.
DebugView Output from V4
vboxsf_crash.png Download (54.0 KB) - added by meltice 7 years ago.
I have used VBoxSFRel.zip. While copying files, no BSOD, but VirtualBox.exe crashed. I used WinXP Traditional Chinese version.
JP-VBox.log Download (37.7 KB) - added by Metallinut 6 years ago.
VBox.log of iTunes Podcast download resulting in BSoD
VBox 1.6 iTunes BSoD.png Download (23.6 KB) - added by Metallinut 6 years ago.
VBox 1.6 iTunes BSoD
VBoxGuest.sys Download (34.1 KB) - added by sunlover 6 years ago.
Experimental fix for crash with iTunes
wizard.png Download (53.2 KB) - added by frank 6 years ago.
Disk wizard telling that a dynamically expanding image will never grow beyond the specified size.
cleanMachine-2008-11-04-15-12-24.log Download (36.4 KB) - added by itismike 5 years ago.
hoping this is the right log. As soon as I navigate to Network Places > VBOX Shared folders the VM crashed (see comment for more)

Change History

comment:1 Changed 7 years ago by Ju1i3n

It seems that there's a bug in windows shared folder driver.

VirtualBox: 1.3.4 VBoxSF.sys: 5.2.3790.1830 (179 328 bytes)

Host: Linux ... 2.6.19-gentoo-r5 #4 SMP Fri Feb 9 18:38:11 CET 2007 i686 Genuine Intel(R) CPU U2500 @ 1.20GHz GenuineIntel GNU/Linux (Dual core). Target: Windows XP SP2.

BSOD when browsing shared folders. BOSD repports: VBoxSF.sys PAGE_FAULT_IN_NONPAGED_AREA

* STOP: 0X00000050 (0xFB0D6000, 0X00000001, 0XFA23ECC9, 0x00000000) * * VBoxSF.sys - Address FA23ECC9, base at FA23E000, DateStamp 45cf4abd

comment:2 Changed 7 years ago by dwibier

I've got the same problem but not only with multi-gig files but but even with a file of 250 mb copied through Windows Explorer. I'm using Ubuntu Edgy as host and Windows XP SP 2 as guest running on a Dell Inspiron 9400 Dual Core with 2 Gb of Ram. I hope this can be solved pretty fast since it's quite annoying.

comment:3 Changed 7 years ago by gbuonfiglio

I've the same problem here. VirtualBox 1.3.6 running on Ubuntu 6.10 host and guest is Windows XP SP2 plus all latest fixes. I tried copying a 307MB folder with 228 files distribuded across 25 folders. The first time trying to copy I got the BSOD. The second time it worked.

Changed 7 years ago by Kingbonecrusher

Screenshot

comment:4 Changed 7 years ago by Kingbonecrusher

Same Problem! 88000 Files in 11GB. Guestsystem, WindowsXP crashes :-( And some files without filename and size.

comment:5 Changed 7 years ago by chemist109

I'm experiencing the same bug, but I don't even have to copy anything. Just browsing the filesystem causes a BSOD. I'm using VirtualBox 1.3.6 on an Kubuntu 6.10 host. The guest is Windows XPSP2 plus updates.

Changed 7 years ago by chemist109

Screenshot of BSOD

comment:6 Changed 7 years ago by Ronni

I can report the same problem with Windows XP as guest and Ubuntu 6.10 Edgy Eft as host, using VirtualBox 1.3.6 and Linux kernel 2.6.17.1. Same BSOD as posted already. It's REALLY annoying, I hope it'll be fixed asap!

Btw, I don't have the impression that it crashes randomly - on my machine, it only crashes while browsing certain directories or while trying to copy these directories, but I have no clue why it crashes just with this ones...

Also, I'm experiencing problems with certain files in the shared folders - they seem to be not usable, neither can I copy them nor delete or rename them...but when I'm browsing them in Linux, they're alright. The filename of these files is somehow destroyed, filled up with these boxes. See the screenshot and you'll know what I mean. I don't know, if it's the same bug...

Changed 7 years ago by Ronni

comment:7 Changed 7 years ago by kleinfelter

Similar symptoms with Windows 2000 Pro (with and without SP4) guest and WinXP Pro host. Browsing to something like C:\Temp\Stuff produces blue screen if Stuff has hundreds of files in it. Shared Folders appears to be seriously unstable.

comment:8 Changed 7 years ago by SingleMalt

I can confirm that this bug is not fixed in 1.3.8. Same symptoms as previous posters, WinXP SP2 guest, WinXP SP2 host.

"Guest additions" on the guest were updated to v1.3.8 as well.

It is unfortunate, as this is a show stopper for me.

comment:9 follow-up: ↓ 80 Changed 7 years ago by kleinfelter

There are work-arounds, if you're interested.

Work-around 1 (the obvious one): Use Windows (SMB) networking. Share the folders from the host, mount them from the guest. Nothing fancy.

Work-around 2 (more complicated, but more secure):

I work in an environment where sharing folders on the network is discouraged; there is also a Windows domain policy that starts the Windows firewall on the (Windows) host. I created a .CMD file that executes "net stop sharedaccess" and then starts the VM.

I also installed the Microsoft Loopback Adapter in the host, assigned it a permanent IP address. I removed the file-sharing binding from the real NIC. File-sharing is bound to the loopback adapter. I share the host folders that I need to access from the guest. I can get to the folder from the guest via Start/Run \192.168.2.1\folder-name (192.168.2.1 is the address I bound to the loopback adapter.)

You can also do something similar if your host is Linux, using SAMBA. Performance via the loopback adapter is acceptably fast.

comment:10 Changed 7 years ago by sandervl73

  • Priority changed from major to critical

comment:11 Changed 7 years ago by SingleMalt

Thanks, kleinfelter, your workaround works great for me.

I hadn't thought about using the Loopback adapter that way, but it makes sense now.

comment:12 Changed 7 years ago by pieri

Same problem, I'm using Ubuntu Edgy as host and Windows XP SP 2 as guest running on a Dell Inspiron 9400 Dual Core with 2 Gb of Ram. Ubuntu 6.10 kernel 2.6.17.11-generic. bye pieri

comment:13 Changed 7 years ago by psionides

I have this problem too. Guest = Windows XP Pro SP2, Host = Kubuntu Edgy. I have a 145GB ext3 partition mounted at /media/data which is shared with the guest as E: (\vboxsvr\data). When I try to enter a few specific directories on E: with Total Commander (the same happens when I use cmd, cd into the directory and then write dir), I get a BSOD and XP dumps memory and restarts.

I haven't yet been able to find what exactly causes the blue screen, but it doesn't seem that it's something with the name of the directory or the names of the files in it. One of the directories is E:\Smieszne ("fun") with over 1000 of funny pics and a few subdirectories. Another place is some of my photo directories. I found that those of them which have a lot of photos in them (more than about 25) do crash, and those that have fewer photos don't. I took one directory with 25 jpgs and added another one, and it started crashing. But it doesn't matter which jpg it is, it's just the number of them that matters. But, the funny thing is that it isn't always true - I've found some directories which have a lot of jpgs in them and they don't crash...

Another problem: sometimes one or two files or subdirectories in a directory have blank names on the guest system (like in screenshot.png above). And I can't see any difference between them and other files in the same directory, which get displayed correctly - they don't have strange names, unusual size, different owner, access rights, date or anything... For example, "E:\Muzyka\Madonna - Frozen.mp3" has empty name, and "E:\Muzyka\Madonna - Music.mp3" is ok. Maybe it just doesn't like that song ;)

I've also found that I'm unable to go into directories which have names ending with a dot. They are displayed but I can't see what's in them, Windows just beeps at me.

comment:14 Changed 7 years ago by sandervl73

Please wait for the next version. We have fixed some of the instabilities reported here.

comment:15 Changed 7 years ago by kleinfelter

Problem still exists for Win2K client under WinXP host with VirtualBox 1.3.8.

I've got a folder that I can copy via my work-around posted above on 3/14/07, but when I copy it via a \vboxsvr share, the win2k vm blue-screens.

comment:16 Changed 7 years ago by sandervl73

We have fixed another issue with shared folders and it now appears to be very stable. We are considering releasing a beta version soon. Otherwise please wait until 1.4.

comment:17 Changed 7 years ago by bernstein

i am running Ubuntu Edgy 6.10 with VirtualBox 1.3.8, guest is Windows 2000 with Guest Additions. when trying to share a folder my vm crashed each time i tried to browse the share (drive letter mapping works though)

i fixed the crashing by doing the following : change the rights of each file and directory inside the share to "readable for evereone" !!!

so setting the shared folder to "readable for all" does not suffice!!! i hope this is the fix you refer to for release 1.4 , otherwise it would be nice to fix this too, as this is wrong behavior!

comment:18 Changed 7 years ago by khellman

Debian lenny 2.6.18 hosting Windows XP Home edition with 1.3.8. Experienced this problem *once* -- never came back (BSOD through rdesktop). Reconnected and it worked OK.

comment:19 Changed 7 years ago by anabain

I've the same problem. Host Linux (2.6.16, debian unstable) and Guest windowsXP SP2. I've downloaded latest version of VBox, installed ok, WinXP also installed correctly but keep getting arbitrary crashes when accessing shared folders mounted via "net use x: \vboxsvr\mydir".

What a real pity!

comment:20 Changed 7 years ago by sandervl73

  • Status changed from new to closed
  • Resolution set to fixed

Most blue screens should be gone now (1.4.0 was just released). There's still a known problem with Vista guests, but we'll fix that for 1.4.2.

comment:21 Changed 7 years ago by anabain

  • Status changed from closed to reopened
  • Resolution fixed deleted

Sorry but after upgrading, WINXP guest still keeps crashing when accessing to a FAT shared folder (it is in FAT in order to get read/write features in GNU/Linux debian 2.6.16). In concrete, when generating thumbnails in directories containing images and photographs. There is a lot of hard disk scratching and then, death blue screen!

In spite of that, crashes have been reduced significantly.

comment:22 Changed 7 years ago by kenken

I have just installed 1.4.0 on Ubuntu Feisty, and the 1.4.0 Guest additions in XP host. It still crashes, but not as much as before. Still enough to be unuseable. I use a samba share on the host instead, but it is slow, cumbersome and not as secure.

I have not seen the folders with missing names, or the odd files with this release.

Also, it keeps saying that the \vboxsvr is not a part of my intranet, and I can't browse to either \vboxsvr or \vboxsvr\share.

I have a file in the share, that I can right click and see properties for, but I cannot open it with notepad. Opening the same file through a samba share works fine. Are there problems with capitalization?

comment:23 Changed 7 years ago by Ldx

I have more or less the same problem. My configuration is:

  • Host Kubuntu Feisty 7.04
  • Guest Windows 2000 Service Pack 4
  • VirtualBox 1.4.0

When I try to copy files from a shared folder, it starts reading, but after 2-3 seconds (if the files are big or in large number) the VM crashes. No BSOD, just reboots without any warning.

Compared to my previous installation (same host and guest, but virtualbox 1.3.4) it seems to crash a bit less easily but shared folders are still not useable.

It works quite fine (but much slower) by mapping a real Samba share instead of the shared folder.

comment:24 Changed 7 years ago by psionides

I've tried 1.4.0 - works fine now, no problems with the filesystem, no blue screens, no empty names - thanks :) BTW the shared clipboard feature rocks (and so does the "about" screen ;).

comment:25 follow-up: ↓ 58 Changed 7 years ago by psionides

I just got a blue screen while scanning my photos with Picasa :/

comment:26 follow-up: ↓ 34 Changed 7 years ago by sandervl73

I have found and fixed a major problem in the shared folders. It would be nice to get some feedback from users here. I could only reproduce blue screens in Vista. They are now gone. The MS driver verifier no longer complains too.

Those that wish to test a private build can send me an email. Drop the digits from my user name and append innotek dot de.

Thanks.

comment:27 follow-up: ↓ 43 Changed 7 years ago by sandervl73

Never mind about emailing me. I've attached it to the defect here. Overwrite the VBoxSF.sys driver in your windows guest (\windows\system32\drivers\VBoxSF.sys) with this one and reboot. Please report your findings here. Thanks.

comment:28 follow-up: ↓ 30 Changed 7 years ago by Ldx

OK!

The updated VBoxSF.sys appears to work very well now on my virtual Win2000 SP4 box! No more strange crashes now. Great job. :-)

One thing is still making me crazy: in the guest OS (Win2000), file names got from shared folders are case-sensitive, is there the possibility to make the mounted shared folders filesystems case-insensitive (like in Samba, for example)? Is this the right place to report this issue? I tried to search in tickets but found nothing like this.

Kind regards. Aldo

comment:29 follow-up: ↓ 31 Changed 7 years ago by psionides

I managed to make it BSOD twice using Picasa, but it required more effort than before ;-) It's definitely better now (though still not perfect).

comment:30 in reply to: ↑ 28 Changed 7 years ago by sandervl73

Replying to Ldx:

OK!

The updated VBoxSF.sys appears to work very well now on my virtual Win2000 SP4 box! No more strange crashes now. Great job. :-)

One thing is still making me crazy: in the guest OS (Win2000), file names got from shared folders are case-sensitive, is there the possibility to make the mounted shared folders filesystems case-insensitive (like in Samba, for example)? Is this the right place to report this issue? I tried to search in tickets but found nothing like this.

Please open a new defect for this. You are using a Linux host I presume.

comment:31 in reply to: ↑ 29 ; follow-up: ↓ 33 Changed 7 years ago by sandervl73

Replying to psionides:

I managed to make it BSOD twice using Picasa, but it required more effort than before ;-) It's definitely better now (though still not perfect).

Could you try to find a reproducable way to get such BSODs? Is your comment from 04/02/07 16:59 still valid?

comment:32 Changed 7 years ago by kenken

I use Ubuntu Feisty host, and WinXP Pro Guest.

Works fine, with regards to the blue screens. Very fast, compared to Samba filesharing. I tested it with both regular browsing and a lot of file activity. It even survives a system suspend :).

Still, it does: copy Q:\myfile.txt c:\ OK! copy Q:\Myfile.txt c:\ File not found (Host file system is ReiserFS)

Still can't browse to \vboxsvr Trying to browse there gave me a Z: ? Afterwards, neither the original Q or Z worked. Reboot makes it back to normal.

Still can't run .Net apps, from the drive, as they complain it is not in "intranet" zone. Trying to open a .rar archive on the volume gives the error: "This page has an unspecified potential security flaw. Would you like to continue?"

comment:33 in reply to: ↑ 31 Changed 7 years ago by psionides

Replying to sandervl73:

I managed to make it BSOD twice using Picasa, but it required more effort than before ;-) It's definitely better now (though still not perfect).

Could you try to find a reproducable way to get such BSODs?

I'll try...

Is your comment from 04/02/07 16:59 still valid?

No, that one isn't. Total Commander works fine now.

comment:34 in reply to: ↑ 26 ; follow-up: ↓ 35 Changed 7 years ago by etw98

I could not get WinXP SP2 to crash, but it still does not work well. As a test, I used iTunes and either mapped to a normal samba share or VB's SF. I can add a folder (14.2GB) to the library over samba, but it unexpectedly stops over SF (but does not crash).

comment:35 in reply to: ↑ 34 Changed 7 years ago by Xpheroid

Replying to etw98:

I could not get WinXP SP2 to crash, but it still does not work well. As a test, I used iTunes and either mapped to a normal samba share or VB's SF. I can add a folder (14.2GB) to the library over samba, but it unexpectedly stops over SF (but does not crash).

I can confirm the above. I am using the new VBoxSF.sys. When trying to copy 12gig from host (Linux) to guest (XP SP2) via SF it pauses indefinitely after a short time. Does not crash though, just sits there saying 'copying'.

Update. This is an intermittent fault. I just tried again and after a couple of pauses, it completed the copy. I'm not sure whether it was something I did in the guest as I was active in there doing other things.

comment:36 Changed 7 years ago by Reiner030

Hi,

here same problem with 1.3.8 and 1.4.0 with actual Windows XP as guest and host... Problem when accessing files (and perhaps sometimes even only with directories). I had'nt found special filenames, filesizes or so which activate the bug. But when they could'nt been accessed or when they crash the system they do it reproducable.

I'll get a bluescreen with "I/O error" when accesing with following files:

  • a copy of the Adobe Reader Installation Folder - in the installation process the guest crashes (found when installed in %TEMP%\Adobe Reader 8/ ) ...
  • Eiffel 6.0 GPL setup -- Eiffel60_gpl_69201-windows.msi (www.eiffel.com)

I can't access this files

  • Vmaps - only about 5 files from over 200 files with same naming scheme crashes the guest system.

(VMaps is a map system for the gameserver www.Mangosproject.org which extracts virtual maps. So the server know where walls/objects are located and the mobs couldn't seen through them.) If wanted I can attach these problematic files as archive.

comment:37 Changed 7 years ago by kleinfelter

I don't see blue-screen. (I did when I copied the new file to the HOST, but once I put it on the CLIENT where it belonged, I no longer get a blue screen with normal use.)

However, I do notice an interesting anomaly with the shared folder redirector and file permissions:

When I run ShowMan.exe ( http://www.david-taylor.myby.co.uk/software/disk.html#ShowMan), a disk use pie chart utility against a directory accessed via the shared folder redirector, it reports that the directory contains several files with 4GB disk space allocated for each. In reality, the largest of these files is less than 1 MB allocated.

When I run ShowMan against the same directory, accessed via an SMB mapped drive, it correctly reports that the largest file is 912KB.

To give credit where credit is due, the SF redirector returns its incorrect values much quicker than the SMB redirector, but incorrect values are not very useful.

What is unusual about these files includes:

  • They are in C:\WINDOWS\$NtUninstallKB828741$ on the host.
  • This directory is NTFS compressed, as are the files.
  • The user-ID that started VBox does not own these files and can't view their security.
  • The folder is read-only and hidden.

When I grant Everyone read/write access to the folder and the files within it, and restart VBox, correct sizes are reported.

There are two reasons I report this here:

  1. I'm using the updated VBoxSF redirector from above.
  2. It is an example of how VBoxSF differs from SMB.
  3. Perhaps it solving it could solve the (much reduced) frequency of BSOD on Shared Folders?

comment:38 Changed 7 years ago by zooounds

After 30 minutes *heavy* torrent downloading to a shared folder (13 torrents, multiple files in each, over 10 MBit/s in each direction) - still no BSOD. The issue for me could be solved.

comment:39 Changed 7 years ago by craigsn

And it works for me on Vista Ultimate as the guest, with ubuntu linux amd64 as the host. Thanks.

comment:40 Changed 7 years ago by Reiner030

Hi,

thanks for the "AOLooser" comments "it works for me" ... "for me, too"... It works for me, too... mostly, BUT NOT EVERYTIME. => So your comments where useless for bug reporting (you hadn't reported first that it didn't work on your system)!!!

So, I found a next program which produce this bug: Typo3 WinInstaller under  http://typo3winstaller.sourceforge.net/ =>  http://prdownloads.sourceforge.net/typo3winstaller/TYPO3Winstaller_4.1.1.exe

When I install it over a shared folder it crashes...

I've made a snapshot of the machine state and since it is a "small" image (whatever XP mean about a small installation... its a 2 GB partition) perhaps you're interested in the snapshot?

comment:41 Changed 7 years ago by sandervl73

Although I couldn't reproduce the guest crash, I did hit a breakpoint, which might be related. Could you try the new VBoxSF.sys attached above?

comment:42 Changed 7 years ago by craigsn

I just tried the new VBoxSF.sys file on my vista ultimate system, running as guest os with Ubuntu Feisty amd64. I have 2gb of ram, with 760mb allocated to the guest. I was able to connect to my shared folder, and browse my host file system, but I was unable to copy a couple of files from by host system to my guest system, I received the BSOD when I did that.

Anything I can do to help, let me know.

Craig

comment:43 in reply to: ↑ 27 Changed 7 years ago by virtualtexan

Host: xubuntu (Linux 2.6.20-16-generic #2 SMP Thu Jun 7 20:19:32 UTC 2007 i686 GNU/Linux)

Guest: Windows 2000 SP4 with all updates from Windows Update

Previously couldn't get a ~215MB pst file to copy over through shared folder and now we're good to go. A little bit of additional testing didn't seem to produce any BSODs or lock up the VM as before.

Thanks

comment:44 Changed 7 years ago by zooounds

Forget my last comment.

I still get BSOD:s ...

This defect MUST be resolved or it will render VBox unusable.

comment:45 follow-up: ↓ 47 Changed 7 years ago by sandervl73

To provide more useful feedback, I would like those that still get guest crashes to install the debug version of VBoxSF.sys (see above; replace VBoxSF.sys in \windows\system32\drivers and reboot the guest).

When the guest has crashed, Windows will create a minidump. During the next boot a message box will pop up that reports the problem. Click on the option to get more details so you know where it stored the file. (usually in \Documents and Settings\user_name\Local Settings\Temp) Please attach this file to the defect and describe what you were doing during right before the crash.

comment:46 Changed 7 years ago by zooounds

I will trie to get the debug output but until I can I have some comments:

  • It seems like it crashed when on of my downloaded files reached 2 GB (32 bit problem?)
  • The files written before the crash were all corrupted
  • I using less momory for the guest and small disk buffer for the torrent client trigger lots of "disk usage 100%" warnings. Speed problem?

comment:47 in reply to: ↑ 45 ; follow-up: ↓ 52 Changed 7 years ago by craigsn

Replying to sandervl73:

To provide more useful feedback, I would like those that still get guest crashes to install the debug version of VBoxSF.sys (see above; replace VBoxSF.sys in \windows\system32\drivers and reboot the guest).

When the guest has crashed, Windows will create a minidump. During the next boot a message box will pop up that reports the problem. Click on the option to get more details so you know where it stored the file. (usually in \Documents and Settings\user_name\Local Settings\Temp) Please attach this file to the defect and describe what you were doing during right before the crash.

Ok, got a BSOD just now. I was using Visual Foxpro in Windows Vista Ultimate, editing a DBF file. The DBF was located on a smb share, not VB shared directory.

I have attached the files the dump said are relevant to this action.

Changed 7 years ago by craigsn

for craigsn

comment:48 Changed 7 years ago by etw98

There is an improvement with this latest update (using iTunes as my test). It still occasionally hangs (more infrequently than before), but does not crash. Unfortunately, I do not seem to be able to assist with that kind of debug. Is it possible to make a debug version that outputs all information during usage? This would be beneficial for tracking down the hangups that do not cause a crash.

Changed 7 years ago by Andre.Ziegler

Crash of m Vista Ultimate

comment:49 follow-up: ↓ 51 Changed 7 years ago by Andre.Ziegler

The latest Update doesn't help very much. Now I'm able to access the share for a minzte, but then the Vista Guest still crashes. I've uploaded my BSOD.

comment:50 Changed 7 years ago by sandervl73

  • Version changed from VirtualBox 1.3.4 to VirtualBox 1.4.0

comment:51 in reply to: ↑ 49 ; follow-up: ↓ 53 Changed 7 years ago by sandervl73

Replying to Andre.Ziegler:

The latest Update doesn't help very much. Now I'm able to access the share for a minzte, but then the Vista Guest still crashes. I've uploaded my BSOD.

Could you please attach your crash dump here?

comment:52 in reply to: ↑ 47 Changed 7 years ago by sandervl73

Replying to craigsn:

Ok, got a BSOD just now. I was using Visual Foxpro in Windows Vista Ultimate, editing a DBF file. The DBF was located on a smb share, not VB shared directory.

I have attached the files the dump said are relevant to this action.

Unfortunately that one doesn't help. It's random memory corruption in an unrelated process. Although I don't doubt shared folders is the cause, I can't extract any useful information from it. If you have more, then please attach them. Perhaps we'll get lucky and one will contain a hint.

Changed 7 years ago by Andre.Ziegler

MiniDump of last crash (Vista Ultimate)

comment:53 in reply to: ↑ 51 ; follow-ups: ↓ 54 ↓ 55 Changed 7 years ago by Andre.Ziegler

Replying to sandervl73:

Could you please attach your crash dump here?

uploaded the 3 files from vista: problem & solutions.

comment:54 in reply to: ↑ 53 Changed 7 years ago by sandervl73

Replying to Andre.Ziegler:

Replying to sandervl73:

Could you please attach your crash dump here?

uploaded the 3 files from vista: problem & solutions.

That's a useful dump. Thanks.

comment:55 in reply to: ↑ 53 ; follow-ups: ↓ 56 ↓ 57 Changed 7 years ago by sandervl73

Replying to Andre.Ziegler:

Replying to sandervl73:

Could you please attach your crash dump here?

uploaded the 3 files from vista: problem & solutions.

Could you try the new binary attached above?

Your minidump suggests either memory corruption or a bug in our memory heap code. I've switched to the windows heap to rule out one cause. Thanks!

comment:56 in reply to: ↑ 55 Changed 7 years ago by Andre.Ziegler

Replying to sandervl73:

Could you try the new binary attached above?

Your minidump suggests either memory corruption or a bug in our memory heap code. I've switched to the windows heap to rule out one cause. Thanks!

Hello,

I tried the new one.The new ones seems to be better. I was able to copy some data between the Host and Geust. I will test it this evening under Vista Ultimate and the newest June CTP of Windows Server 2008.

I'm going to tell you the results tomorrow.

André

comment:57 in reply to: ↑ 55 Changed 7 years ago by Andre.Ziegler

Replying to sandervl73:

Your minidump suggests either memory corruption or a bug in our memory heap code. I've switched to the windows heap to rule out one cause. Thanks!

With the old driver I also got a BSOD with a Memory Management Error while typing a word into the search field from Vista Explorer. Does this error also results from a buggy VBoxSF.sys?

André

comment:58 in reply to: ↑ 25 Changed 7 years ago by drfreema

Replying to psionides:

I just got a blue screen while scanning my photos with Picasa :/

I have the same problem with the last version of Picasa.

comment:59 follow-up: ↓ 60 Changed 7 years ago by Andre.Ziegler

Hi sandervl73,

I tried the new version. The BSOD is gone, but the VM stops to respond and freezed everytime I tried to copy some files. I tried to copy 256 MB from the VM to the host inwide the VM with the explorer. After 20MB the explorer stops copying but still shows the dialog. I canceled the process and tried Altap Salamander 2.5. After copying 20MB the VM freezed without a BSOD or an errormessage. Do you have an idea why this happens?

André

comment:60 in reply to: ↑ 59 ; follow-up: ↓ 61 Changed 7 years ago by sandervl73

Replying to Andre.Ziegler:

Hi sandervl73,

I tried the new version. The BSOD is gone, but the VM stops to respond and freezed everytime I tried to copy some files. I tried to copy 256 MB from the VM to the host inwide the VM with the explorer. After 20MB the explorer stops copying but still shows the dialog. I canceled the process and tried Altap Salamander 2.5. After copying 20MB the VM freezed without a BSOD or an errormessage. Do you have an idea why this happens?

Could you try the new VBoxSF.sys attached above. Perhaps the debug version is asserting somewhere. Thanks.

comment:61 in reply to: ↑ 60 ; follow-up: ↓ 62 Changed 7 years ago by wRAR

Replying to sandervl73:

Could you try the new VBoxSF.sys attached above. Perhaps the debug version is asserting somewhere. Thanks.

Copying process hangs, host vbox process uses 90% CPU.

Changed 7 years ago by Andre.Ziegler

DebugView Output from V4

comment:62 in reply to: ↑ 61 Changed 7 years ago by Andre.Ziegler

Replying to wRAR:

Copying process hangs, host vbox process uses 90% CPU.

the new driver works. But the host cpu usage is really huge (around 90%). I posted a screenshot of the Debug-Output from the driver. But Salamander 2.5 still freezes the VM. But this must be a special problem with Salamander.

André

comment:63 Changed 7 years ago by tysonharding

I too am getting the BSOD. My host OS is Ubuntu 7.04, and Guest OS is Windows XP Media Center edition. I have tried both V3, and V4, and I do not get a debug file generated after the crash. Using V3, and V4 did change the BSOD error, with the 1.4.0 version it was the same as BSOD.png, now with V3, or V4 it matches VirtualBox_BSOD.png. I am happy to provide a dump it I could get one created.

comment:64 Changed 7 years ago by kenken

Using the VBoxSF.4.zip version, I get spurios BSOD, even when not using the mapped drive. Removing the share from VirtualBox (not the mapped drive) removes the error. There might be processes acessing the share behind the scenes. Host Ubuntu 7.04, Guest WinXP Pro SP2.

comment:65 Changed 7 years ago by Motorpsycho

I have the same problem. With V4 the guest system did not crash, but instead the host system crashed. Now returning to Virtual PC until this is fixed.

comment:66 Changed 7 years ago by sandervl73

I've reattached the previous drivers. Unfortunately I'm still unable to reproduce any BSODs here. I've tried most if not all the programs suggested above. I'll experiment a bit more and if nothing turns up, I'll make a full debug build available for those interested in helping us find the problem.

Changed 7 years ago by meltice

I have used VBoxSFRel.zip. While copying files, no BSOD, but VirtualBox.exe crashed. I used WinXP Traditional Chinese version.

comment:67 Changed 7 years ago by Genscher

No BSOD, but crashed for me too. This driver works better than the old one, but crashed nontheless. I have some log:  http://pastebin.ca/639326

Greetings and good work so far!

comment:68 Changed 7 years ago by meltice

My Host and Guest OS are both WinXP SP2 Traditional Chinese. My vdi and "host share folder" are in the same FAT32 partition. In guest OS, I partition my harddisk into 1 NTFS partition. I copy a MPG file(<500MB) from host share folder to guest. The first time I copied the file, the copy file progress bar suspended permanently. The second time, VirtualBox.exe crashed.

comment:69 follow-up: ↓ 71 Changed 7 years ago by Genscher

I really wonder, if this is really shared folder related.

Because I had also a "crash" (meaning "self-closing virtualbox") when using linux as host, WindowsXP as guest and using CVS/SVN from within Windows XP.

After 5000-10000 files,

  1. Virtualbox stoped to react OR
  2. Virtualbox closed itself

comment:70 Changed 7 years ago by Genscher

Sorry, but i forget:

I disabled USB, shared folders and sound for that test!

comment:71 in reply to: ↑ 69 Changed 7 years ago by msundman

I really wonder, if this is really shared folder related.

Just because it crashes when you're not using shared folders doesn't mean that shared folders don't also cause it to crash. I'm sure there (unfortunately) are many bugs causing it to crash. Several people experience crashes more often when using virtual folders than when not.

comment:72 Changed 7 years ago by tysonharding

Sorry it has taken so long to respond. I left out a few details in my last post. I am able to reproduce this bug. It occurs when I start up iTunes. When iTunes starts downloading my podcasts I quickly get the BSOD (VirtualBox_BSOD.png). I have tried with the two VBoxSF.sys files. The release version still causes the BSOD (VirtualBox_BSOD.png). When I use the debug version I do not get a BSOD, but instead iTunes "locks up". iTunes appears to be stuck trying to write to the file that is being downloaded. My iTunes library is stored on the shared folder. If I try to access the shared folder from explorer while iTunes is locked up, explorer works fine, it is only iTunes that is locked up. If I switch back to the release version of the file I again get the BSOD. I would be happy to help debug this issue, and will be able to provide more timely feedback now.

comment:73 follow-up: ↓ 75 Changed 7 years ago by sandervl73

We've finally managed to reproduce the BSODs with a Vista guest and a simple testcase. When we've isolated the problem a new build will be uploaded here for testing.

comment:74 follow-up: ↓ 76 Changed 7 years ago by sandervl73

Just to summarize the current problems with shared folders. I'm tracking down a problem (some sort of memory corruption) that can manifest itself in different ways: -- BSODs with different kinds of bug check numbers -- Hanging file operations -- Unable to open files with very long names

comment:75 in reply to: ↑ 73 Changed 7 years ago by Andre.Ziegler

Replying to sandervl73:

We've finally managed to reproduce the BSODs with a Vista guest and a simple testcase. When we've isolated the problem a new build will be uploaded here for testing.

This is good. I hope you can figured this issue very soon :)

comment:76 in reply to: ↑ 74 ; follow-up: ↓ 77 Changed 7 years ago by Andre.Ziegler

Replying to sandervl73:

Were you able to reproduce and fix the errors?

comment:77 in reply to: ↑ 76 Changed 7 years ago by etw98

Replying to Andre.Ziegler:

Were you able to reproduce and fix the errors?

Please give him more time. This cannot be an easy fix. Also, he has more than this bug report to deal with.

comment:78 Changed 7 years ago by sandervl73

Note that we haven't been able to fix all problems related to shared folders in 1.5.0. As soon as I can find some time, I'll continue.

comment:79 Changed 7 years ago by pts

Even 1.5.0 crashes with a blue screen of death.

comment:80 in reply to: ↑ 9 Changed 7 years ago by rm

hi, there is a third solution

3/ using AoE (ata-over-ethernet)

  • a starport driver is freely available for use in win xp as guest
  • a linux driver comes with every (recent) distribution, as it is part of the vanilla kernel
  • there is a AoE server available for linux (so linux as host) -- don't know for windows
  • your network setup must allow ip traffic (not tcp/ip)

rm

Replying to kleinfelter:

There are work-arounds, if you're interested.

Work-around 1 (the obvious one): Use Windows (SMB) networking. Share the folders from the host, mount them from the guest. Nothing fancy.

Work-around 2 (more complicated, but more secure):

I work in an environment where sharing folders on the network is discouraged; there is also a Windows domain policy that starts the Windows firewall on the (Windows) host. I created a .CMD file that executes "net stop sharedaccess" and then starts the VM.

I also installed the Microsoft Loopback Adapter in the host, assigned it a permanent IP address. I removed the file-sharing binding from the real NIC. File-sharing is bound to the loopback adapter. I share the host folders that I need to access from the guest. I can get to the folder from the guest via Start/Run \192.168.2.1\folder-name (192.168.2.1 is the address I bound to the loopback adapter.)

You can also do something similar if your host is Linux, using SAMBA. Performance via the loopback adapter is acceptably fast.

comment:81 in reply to: ↑ description ; follow-up: ↓ 82 Changed 7 years ago by fociwm

I'm using VirtualBox as my testdrive, but I got the same BSOD. I'm using VirtualBox 1.5.0, XP host, XP guest, CPU is Core 2 Duo. I'm surprised that this issue is so old one, and not fixed yet... :( I hope this fixed soon.

In fact, I've tried VMware Server, Player, Virtual PC, QEMU and so on to see which is best.

Honestly, if VirtualBox supports PAE and fixes this shared folder problem, VirtualBox is the best one. But I don't need PAE now (but maybe in the future), so, I really hope this shared folder problem fixed as soon as possible. Thank you.

cf) VirtualPC is good but slow, and there are only a small number of options and functionality. VMware is fast and industry leading, but it's hard to organize fragmented files, and Players does not support any good configurations, Server installed many unnecessary files for peopl who want to use it as a personal usage. Most of all, they are a too big program.

I love VirtualBox, which is small, powerful, fast, multiple snapshots, wide range of configuration, and so on. But no PAE and the shared folder bug. Please fix this as soon as possible.

comment:82 in reply to: ↑ 81 Changed 7 years ago by Schichtlgruber

Hello VirtualBox team,

I want to join the comments of the previous speaker: VirtualBox would be the best virtualization software for personal use --- IF you could fix the shared folder problem!

On my system (VirtualBox 1.5.0, XP SP2 guest, openSUSE 10.2 host, Core 2 Duo CPU) I basically see most of the problems stated here connected to shared folders:
+ Bluescreen when trying to download iTunes files
+ Unable to use subversion via a Repository on a shared folder
+ Bluescreen when trying to access Visual studio files on a shared folder
+ Unable to open Powerpoint files on the host (worked in 1.4.0) - but excel and word work

However, some things which didn't work in 1.4.0 now work in this version:
+ Copying large files
+ Access Corel Draw files via shared folders on the host

So please, please, please try to fix it.

comment:83 Changed 6 years ago by etw98

This has essentially been solved for me in 1.5.2. There are times when it pauses, but it will resume. I tested this by copying ~9GB of files from a shared folder onto a VBox HDD.

comment:84 Changed 6 years ago by wippypitt

This problem occurs in 1.5.2 right when I try to access a shared drive (or a few seconds after I access it). But for me, this happens after I installed .Net 3.0 if this information helps. Both my host and guest are WinXP.

comment:85 Changed 6 years ago by katakombi

I always get "System Error 67 has occured. The network name cannot be found" under Vista Business. Where can I get the experimental VBoxSF.sys, please?

comment:86 Changed 6 years ago by Gizmo_X

A "solution" for someone to try on a latest version of VirtualBox: On WinXP, download and install SuperCopier2 (at the moment, v1.9 beta) from  http://supercopier.sfxteam.org/modules/mydownloads/index.php?sel_lang=english It is a program, that "overwrites" XP's copy shell utility. It is intended to copy faster, enqueue copying, etc.

I have VirtualBox v1.3.8 installed on Ubuntu 7.4, running XP SP2, using shared folders (sorry for the old version - don't realy need the new version though). Until today BSOD appeared EVERYTIME when copying large files (e.g. > 200MB). I installed SuperCopier2, tried copying from share folder to the desktop, and WOW, no BSOD.

I hope it works for you too. So someone with the latest version installed, try this simple and cheap solution.

comment:87 Changed 6 years ago by Spheerys

I have the same problem of blue screen of the death with the last version of VB (1.5.2) I have tried the soluce of Gizmo_X but it does'n work...

I'm running XP SP2 and I really need the share folders :(

comment:88 Changed 6 years ago by dborman

I've also encountered this problem in version 1.5.2. I can browse files on a shared folder, open them with Firefox, notepad. Opening Word documents and pdf's on the shared folder cause BSOD. I'm running Ubuntu Gutsy as host, WinXP SP 2 as guest.

comment:89 follow-up: ↓ 90 Changed 6 years ago by frank

Please retry with VirtualBox 1.5.4.

comment:90 in reply to: ↑ 89 Changed 6 years ago by Gerb

Replying to frank:

Please retry with VirtualBox 1.5.4.

I am running a Windows XP SP2 guest on VirtualBox 1.5.4. The host is Ubuntu 7.10 (Gutsy). I consistently get the BSOD when a Podcast begins downloading within ITunes. My ITunes library is stored on a persistent shared folder. Is this issue still being investigated? Any workarounds yet?

comment:91 Changed 6 years ago by oxmosys

This can be reproduced with VirtualBox 1.5.4 with Guest additions 1.5.4 each time by reproducing these steps.

  1. Have a ubuntu OS system with VirtualBox and Windows XP SP2 Guest operating system with guest additions version 1.5.4 installed.
  2. Copy all files from a Windows XP Install CD in a folder.
  3. Share that folder between Windows XP Guest and ubuntu Host using shared folders of VirtualBox
  4. Open Windows XP Guest OS and then copy recursively the shared folder that contains all Windows XP install files. There's thousands of files which should start copying with Windows XP Explorer.

Result : Windows XP will inevitably crash with a BlueScreenOfDeath. This bug does not appear in a specific time, but the bug always appear when copying a huge quantity of files, and sometime, one file is just enough.

comment:92 Changed 6 years ago by etw98

This does work better, but still has some issues.

host: Debian guest: WinXP

When I tried to play a wmv file in Media Player over a SF, it wouldn't recognize the file type. But if I copied the file into the guest, then no problem playing the video.

I used VirtualDub, in the VM, to convert a compressed video (~200MB) to an uncompressed video (? GBs). The source and target videos were both over the SF. This worked without a problem.

comment:93 Changed 6 years ago by DieterFauth

Hi, VB 1.5.4 on WinXpSP2 and guest is same OS. With shared folders the VB "needs to be closed" error occurs. This is repeatable with two different guests. The guest was created with 1.5.2. It looks like the size is involved (1.14GB), but a bigger file (1.7GB) was fine. Perhaps the contents? The Bad file is a Lotus Notes Database, the bigger good one was a .mov. Smaller Database files worked fine.

comment:94 Changed 6 years ago by frank

Please could try VirtualBox 1.5.6.

comment:95 Changed 6 years ago by DieterFauth

Hi, 1.5.6 seams to work with that same crashing file. The speed was slow though, slower as I had it from recall.

Thanks!

comment:96 Changed 6 years ago by oxmosys

Apparently fixed for me, I can't reproduce the bug from now in the same circumstances!

comment:97 Changed 6 years ago by zabivator

Crash anyway in 1.5.6 =( Simple way - turtoise svn repo-browser + turtoise svn cleanup on 100+ mb working copy. Repoducable

comment:98 follow-ups: ↓ 99 ↓ 100 Changed 6 years ago by Metallinut

I have VirtualBox installed from the repository. Synaptic says I've got 1.5.6-28266_Ubuntu_gutsy. Host is Ubuntu Gutsy, running a WinXP SP2 client.

Open iTunes Go to podcasts Go to podcast directory Search for Official Lost Podcast Subscribe to podcast Downloads appears, downloading 1 file. 2-3 seconds later, BSoD as seen in others' screenshots. Boo.

comment:99 in reply to: ↑ 98 Changed 6 years ago by Metallinut

Replying to Metallinut:

I have VirtualBox installed from the repository. Synaptic says I've got 1.5.6-28266_Ubuntu_gutsy. Host is Ubuntu Gutsy, running a WinXP SP2 client.

Open iTunes Go to podcasts Go to podcast directory Search for Official Lost Podcast Subscribe to podcast Downloads appears, downloading 1 file. 2-3 seconds later, BSoD as seen in others' screenshots. Boo.

I've attached my VBox.log to this bug if it'll help. It's JP-VBox.log

Changed 6 years ago by Metallinut

VBox.log of iTunes Podcast download resulting in BSoD

comment:100 in reply to: ↑ 98 Changed 6 years ago by Metallinut

Replying to Metallinut:

I have VirtualBox installed from the repository. Synaptic says I've got 1.5.6-28266_Ubuntu_gutsy. Host is Ubuntu Gutsy, running a WinXP SP2 client.

Open iTunes Go to podcasts Go to podcast directory Search for Official Lost Podcast Subscribe to podcast Downloads appears, downloading 1 file. 2-3 seconds later, BSoD as seen in others' screenshots. Boo.

I have just verified that this problem does not occur, if my iTunes library does not reside on a shared folder. I created a test account on the XP computer. Created an iTunes library local to the XP PC. Then I subscribed to a Podcast, and it downloaded the podcast episode no problem. Let's get these shared folders working! I want my iTunes library on a share, so it's still accessible to Ubuntu when the XP virtual is powered off!

comment:101 Changed 6 years ago by roboris

Hi,

I have this problem too.

The one solution that seems to work best for me so far is to simply transfer the files by ftp, with a ftp server running on the main OS.

comment:102 Changed 6 years ago by Raditya Arthapraja

Using VirtualBox 1.5.6 -- sharedfolders crashes

I'm using Ubuntu as my host OS and Windows XP as the guest OS.

I Installed the guest additions, added shared-folders, then mapped it in Windows XP; then, I configured MS OneNote to use the configuration and files located on the mapped shared-folders.

Now, when I run OneNote, after about 20 seconds, Windows XP crashes and VirtualBox automatically restarts XP..

Hope this gets fixed soon. This is a really amazing piece of software.

comment:103 follow-up: ↓ 104 Changed 6 years ago by beau.raines

Host: Ubuntu 7.10 Guest: Win XP SP2

Only apps installed: MS OneNote and guest additions

When I have a shared folder mapped in the guest, MS OneNote crashes on startup, with BSOD and VirtualBox restarts XP.

After reading some of these comments, I've un-mapped the shared folder (after copying my data into the Guest OS) and now MS OneNote runs okay.

I'm not sure what this means, but it seems to be a workaround that helps me run OneNote in my guest OS.

comment:104 in reply to: ↑ 103 Changed 6 years ago by citral

Replying to beau.raines:

Host: Ubuntu 7.10 Guest: Win XP SP2

Only apps installed: MS OneNote and guest additions

When I have a shared folder mapped in the guest, MS OneNote crashes on startup, with BSOD and VirtualBox restarts XP.

After reading some of these comments, I've un-mapped the shared folder (after copying my data into the Guest OS) and now MS OneNote runs okay.

I'm not sure what this means, but it seems to be a workaround that helps me run OneNote in my guest OS.

I can verify this, the exact same thing happens here.

comment:105 Changed 6 years ago by IBBoard

I get similar behaviour, but a different error. I'm not sure if it is related.

I'm trying to run Visual Studio C# Express 2005 on a shared folder (to share development between MonoDevelop on Linux host and VS.Net on Windows guest without enabling network adapter for Windows) and I get a BSOD about "IRQL_NOT_LESS_OR_EQUAL".

I can browse the share okay, I've got it mapped as a drive, Visual Studio will load the project, but as soon as it tries to compile (at which point it is doing a lot of reads of source files) then it BSODs.

BSOD message:  http://img220.imageshack.us/my.php?image=screenshot1vs2.png Strange screen behaviour just before BSOD:  http://img503.imageshack.us/my.php?image=virtualboxcrashse8.png

comment:106 Changed 6 years ago by Tillmo

I get more than I crash: I get a corrupted file system!

I am running Ubuntu 7.04 as host and Win2000 as guest. I have turned /media into a shared folder; this allows for easy access to any USB stick that is dynamically mounted at the host (typically under /media/disk). Read access works for the guest, but if I intensively use guest applications like Word to write on the USB stick (and do parallel access to the USB stick at the host), then from time to time (every few weeks), the FAT16 file system of the USB stick gets corrupted. More specifically, the contents of one folder is replaced by a huge number of junk files and folders (this looks as if the block for that folder has been overwritten by some other data).

comment:107 Changed 6 years ago by IBBoard

I've not had it corrupt anything yet, but I've not been able to load any files yet. I am now getting the "page_fault_in_nonpaged_area" BSOD now, though:  http://img225.imageshack.us/my.php?image=screenshot2se2.png

comment:108 Changed 6 years ago by IBBoard

Just to clarify - that "now" is "now that I'm using Samba shares instead of built-in shared folders".

comment:109 Changed 6 years ago by pentagonik

  • Description modified (diff)

@IBBoard: Just for my understanding: Do you also get BSODs when using SMB shares without the \vboxsrv path? Please do the following: Deactivate the "WebClient" service via Control Panel -> Administrative Tools -> Services, reboot the guest and do your SMB access again (which caused the BSOD).

Nevertheless, we gonna release a new version of VirtualBox soon, which also contains a lot of bugfixes for the Shared Folders service.

comment:110 Changed 6 years ago by r_mano

Just to add my 2 cents. I had the same problem (see for example this:  http://article.gmane.org/gmane.comp.emulators.virtualbox.general/2926 ).

With an Ubuntu host and an XP guest, using a SMB share was really simple: once I found the "router" IP of the NAT network in windows (in my case it was 10.0.2.2) I simply selected Start->Execute in XP and typed \10.0.2.2\ in it, and voilà, my home directory at one click distance. I had no problem of any sort with this method, and it seems quite fast.

I hope this little note could be of help to other people... I am not an expert of Windows, really, so I struggled a bit before finding this out.

comment:111 Changed 6 years ago by Metallinut

I just installed the now VirtualBox 1.6 (from Sun). I chose the 8.04 x86 version. iTunes still crashes (quick BSoD and then reboot) when trying to download content from the iTunes store (a podcast)...

Still broken :(

comment:112 follow-ups: ↓ 113 ↓ 114 Changed 6 years ago by pentagonik

@Metallinut:

Could you please post your versions + timestamps of the shared folders driver files?

  1. Go to the Windows-System32 directory (usually "C:\Windows\system32").
  2. Locate the file "VBoxMRXNP.dll"
  3. Check file properties (right click on file, choose "Properties"), lookup the item "File Version", post the version (1.x.x.xxxxx) here. Also, please provide the date/timestamp of the file!
  4. Go to the "drivers" sub-directory (usually "C:\Windows\system32\drivers").
  5. Redo step 3 with the file "VBoxSF.sys".

Thanks.

comment:113 in reply to: ↑ 112 Changed 6 years ago by Metallinut

Replying to pentagonik:

VBoxMRXNP.dll: version 1.5.0.0, created & modified October 18, 2007 3:44:04 AM VBoxSF.sys: version 1.5.0.0, created & modified October 18, 2007 3:49:48 AM

@Metallinut:

Could you please post your versions + timestamps of the shared folders driver files?

  1. Go to the Windows-System32 directory (usually "C:\Windows\system32").
  2. Locate the file "VBoxMRXNP.dll"
  3. Check file properties (right click on file, choose "Properties"), lookup the item "File Version", post the version (1.x.x.xxxxx) here. Also, please provide the date/timestamp of the file!
  4. Go to the "drivers" sub-directory (usually "C:\Windows\system32\drivers").
  5. Redo step 3 with the file "VBoxSF.sys".

Thanks.

comment:114 in reply to: ↑ 112 ; follow-up: ↓ 117 Changed 6 years ago by pentagonik

@Metallinut: Seems like the Guest Addition on your guest aren't updated. Please upgrade the Guest Additions to 1.6. The driver versions must be 1.6 then. Further feedback appreciated.

comment:115 Changed 6 years ago by r_mano

@pentagonik:

In my case the crash with labwindows/cvi is gone. Nice!

OTOH, it seems that browsing the shared folders is much slower than the samba based folders... but maybe I'm wrong. Will retry. Keep up the good work!

comment:116 Changed 6 years ago by pentagonik

@r_mano: Good to hear that! I'll do some speed tests with the shared folders.

@all: Please post your feedback with 1.6 shared folders here; what works, what not, how to reproduce errors etc. Before posting, make sure you really got the Guest Additions 1.6 installed/upgraded. Thanks.

comment:117 in reply to: ↑ 114 Changed 6 years ago by Metallinut

@pentagonik:
.iTunes library is on a shared folder. If I subscribe to a podcast from the iTunes store, when downloading the podcast, I get the BSoD...
The screen doesn't stay up long enough to read, but it looks like it may be a different BSoD this time..

Replying to pentagonik:

@Metallinut: Seems like the Guest Addition on your guest aren't updated. Please upgrade the Guest Additions to 1.6. The driver versions must be 1.6 then. Further feedback appreciated.

comment:118 Changed 6 years ago by frank

To disable automatic reboot of the guest due to a BSOD, do the following:

  • Right-click My Computer, and then click Properties.
  • Click the Advanced tab.
  • Under Startup and Recovery, click Settings to open the Startup and Recovery dialog box.
  • Clear the Automatically restart check box, and click OK the necessary number of times.
  • Restart your computer for the settings to take effect.

Changed 6 years ago by Metallinut

VBox 1.6 iTunes BSoD

comment:119 Changed 6 years ago by Metallinut

Just a bit of an update...

While I am getting the BSoD (VBox 1.6 iTunes BSoD.png above) trying to download content from the iTunes store to my shared folder library, my other problem seems to be fixed.
I used to have to keep playing an mp3 in iTunes while updating my iPod, or the file transfer would get "stuck". I would have to click on a "My Computer" browser window, then back to the open iTunes window to get the transfer "unstuck". This no longer seems to be the case, so there has definitely been a marked improvement.

If we could just get podcast subscription downloading sans BSoD, I'd be golden. Great piece of software though!

comment:120 follow-up: ↓ 121 Changed 6 years ago by r_mano

@Metallinut:

are you sure you have deinstalled old guest additions and installed the new? I ask because I had just that problem in my first try, when upgrading to 1.6 you have to do this step manually in all your guests...

comment:121 in reply to: ↑ 120 Changed 6 years ago by Metallinut

@ r_mano



When I started the 1.6 additions install, it told me I had to remove the old version first. Then it had a button to click to go ahead and uninstall, which I did. The guest rebooted, then I ran the 1.6 additions install again, which installed the 1.6 additions.
I'll try uninstalling the current additions, reboot, and install again. Will report back.

Replying to r_mano:

@Metallinut:

are you sure you have deinstalled old guest additions and installed the new? I ask because I had just that problem in my first try, when upgrading to 1.6 you have to do this step manually in all your guests...

comment:122 follow-up: ↓ 123 Changed 6 years ago by Metallinut

@ r_mano
Nope. Still a BSoD like before. System Tray shows VBox additions 1.6.0r30421.

Changed 6 years ago by sunlover

Experimental fix for crash with iTunes

comment:123 in reply to: ↑ 122 ; follow-up: ↓ 124 Changed 6 years ago by sunlover

  • Version changed from VirtualBox 1.4.0 to VirtualBox 1.6.0

Replying to Metallinut:

Nope. Still a BSoD like before. System Tray shows VBox additions 1.6.0r30421.

Please verify whether the attached VBoxGuest.sys fixes the iTunes podcast downloading crash. Copy the VBoxGuest.sys to the guest at c:\windows\system32\drivers (existing file with the same name must be replaced), then reboot the guest.

comment:124 in reply to: ↑ 123 Changed 6 years ago by Metallinut

GENIUS!!!!![[BR]] I'm downloading podcast after podcast now, NO problems whatsoever[[BR]] VBoxGuest.sys ver 1.6.1.0 is a LIFEsaver[[BR]] Thanks so much[[BR]]

Replying to sunlover:

Replying to Metallinut:

Nope. Still a BSoD like before. System Tray shows VBox additions 1.6.0r30421.

Please verify whether the attached VBoxGuest.sys fixes the iTunes podcast downloading crash. Copy the VBoxGuest.sys to the guest at c:\windows\system32\drivers (existing file with the same name must be replaced), then reboot the guest.

comment:125 Changed 6 years ago by deaven

I can confirm that the VBoxGuest.sys patch also fixes my Windows XP crash on iTunes download. Thanks for the support!

comment:126 follow-up: ↓ 127 Changed 6 years ago by lesliev

I can confirm this bug in Sun xVM VirtualBox 1.6.0, even just browsing a shared folder (including just a SAMBA share, though it's then rarer). I am running Ubuntu Hardy, upgraded from Gutsy. I am using guest additions 1.6.0r30421.

It is quite a frustrating bug to find at this stage, after two days of more or less round the clock reinstalling Visual Studio 2005 and it's SP1 - each reinstall taking about four hours, each crash destroying the install completely and making me start again. (and I searched the forums for crashes, but the screen went BLACK so I had no clue)

Not only that, but I only encountered the bug after setting up a system and discovering that the default 10G dynamic drive is dynamic up till 10G and then it does not grow. Start again!

PLEASE SUN: If a bug like this is known, you can't just leave your users to happily discover it. You have to put a large note where the download is!

PLEASE SUN: Make it clear that even though the dynamic drive grows, it can NEVER grow beyond the initial size specified!

Two days wasted! Anyway, this VBoxGuest.sys patch here seems to fix things so far (will comment otherwise).

ADVICE to anyone endlessly installing Visual Studio 2005:

  1. Use the VBoxGuest.sys 1.6.1.0 attached at the top of this page, it seems to fix all these issues.
  1. Visual Studio 2005's network access is REALLY slow without the SP1 patch.
  1. With JUST Windows XP, and only C#/C++ support installed you need a virtual disk of 18G. You may get away with smaller, but the SP1 install needs 6G free to run. In my case, the 400MB SP1 used 6G temp space and then made 80MB worth of changes to the drive (according to my snapshot). Thanks Microsoft.

IF INSTALLING WITHOUT THE NEW VBoxGuest.sys 1.6.1.0 above:

  1. Don't install VS or VS-SP1 over a networked or shared folder. Copy the installation files to the virtual drive over the network share. A network share seems much more stable than a shared folder, yet still not solid.
  1. Do not open any files over network or shared folder inside Visual Studio.

comment:127 in reply to: ↑ 126 Changed 6 years ago by frank

Replying to lesliev:

Not only that, but I only encountered the bug after setting up a system and discovering that the default 10G dynamic drive is dynamic up till 10G and then it does not grow. Start again!

PLEASE SUN: If a bug like this is known, you can't just leave your users to happily discover it. You have to put a large note where the download is!

This is not a bug. If you are referring here to the shared folders: We are heavily working on fixing these problems.

PLEASE SUN: Make it clear that even though the dynamic drive grows, it can NEVER grow beyond the initial size specified!

Hmm, lets see what the disk image creator is telling you when you create a new disk image (I will attach a screen shot):

A dynamically expanding image initially occupies a very small amount of space on your physical hard disk. It will grow dynamically (up to the size specified) as the Guest OS claims disk space.

I'm not sure how to improve this message. If people don't read the dialog text than further explanations wouldn't help either or am I'm wrong?

Changed 6 years ago by frank

Disk wizard telling that a dynamically expanding image will never grow beyond the specified size.

comment:128 follow-up: ↓ 130 Changed 6 years ago by lesliev

This is not a bug. If you are referring here to the shared folders: We are heavily working on fixing these problems.

How is it not a bug? Well you can call it a "critical defect" if you like, but that doesn't make much difference. They just think "Virtualbox is nice, but unstable" or "Linux is nice, but unstable" and they uninstall. I don't know many people that would have tried as much as I did.

This "critical" problem has been known about for a year, don't you think there could be a warning on the download page so that people could save some time?

Don't misunderstand me: I am extremely grateful for Virtualbox and all the work you are putting in. It is a fantastic product, one of the most important parts of my Linux setup right now. If my complaining discourages you at all, please ignore it!

PLEASE SUN: Make it clear that even though the dynamic drive grows, it

can NEVER grow beyond the initial size specified!

Hmm, lets see what the disk image creator is telling you when you create a new disk image (I will attach a screen shot):

A dynamically expanding image initially occupies a very small amount of space on your physical hard disk. It will grow dynamically (up to the size specified) as the Guest OS claims disk space.

I apologise. I read it too quickly and thereafter read the manual, which doesn't come right out and say it.

In section 5.2 It says "until the disk has fully expanded", which is what made me finally accept that these dynamic images must have a limit.

Perhaps you could bold the "up to the size specified"?

I'm not sure how to improve this message. If people don't read the dialog text than further explanations wouldn't help either or am I'm wrong?

You're right, I'm sorry.

comment:129 Changed 6 years ago by lesliev

I even need to apologise to Microsoft: SP1 applied 2.4G worth of changes!

comment:130 in reply to: ↑ 128 ; follow-up: ↓ 131 Changed 6 years ago by frank

Replying to lesliev:

This is not a bug. If you are referring here to the shared folders: We are heavily working on fixing these problems.

How is it not a bug? Well you can call it a "critical defect" if you like, but that doesn't make much difference. They just think "Virtualbox is nice, but unstable" or "Linux is nice, but unstable" and they uninstall. I don't know many people that would have tried as much as I did.

With this is not a bug I was referring to your statement that you complain that VBox did not warn you about the fact that a expandable disk is not able to grow beyond the specified limit. You can clearly see that when looking at the quoted lines which you left out. Only my second sentence was regarding shared folders.

This "critical" problem has been known about for a year, don't you think there could be a warning on the download page so that people could save some time?

Don't misunderstand me: I am extremely grateful for Virtualbox and all the work you are putting in. It is a fantastic product, one of the most important parts of my Linux setup right now. If my complaining discourages you at all, please ignore it!

We have several critical bugs open. Everyone is free to have a look at our bugtracker. And shared folders work for many people very well. The problem is that there are many different use cases and some of them just fail.

As long as shared folders not table enough for you I would suggest you to use a Samba server at your host to access your host data -- this even works with NAT (host is 10.0.2.2 then).

PLEASE SUN: Make it clear that even though the dynamic drive grows, it

can NEVER grow beyond the initial size specified!

Hmm, lets see what the disk image creator is telling you when you create a new disk image (I will attach a screen shot):

A dynamically expanding image initially occupies a very small amount of space on your physical hard disk. It will grow dynamically (up to the size specified) as the Guest OS claims disk space.

I apologise. I read it too quickly and thereafter read the manual, which doesn't come right out and say it.

In section 5.2 It says "until the disk has fully expanded", which is what made me finally accept that these dynamic images must have a limit.

Perhaps you could bold the "up to the size specified"?

Ok, we will think about this as you are not the first one misunderstanding this issue.

comment:131 in reply to: ↑ 130 Changed 6 years ago by lesliev

Replying to frank:

We have several critical bugs open. Everyone is free to have a look at our bugtracker. And shared folders work for many people very well. The problem is that there are many different use cases and some of them just fail.

Perhaps there could be a link to the critical bugs list? Just a suggestion. Or maybe there is an obvious way of getting a list of critical bugs that I am missing?

I'm just thinking about how to avoid my experiences in someone else. My boss was just about to install Ubuntu because of Virtualbox, but he changed his mind when he heard about me not working for the last two days.

As long as shared folders not table enough for you I would suggest you to use a Samba server at your host to access your host data -- this even works with NAT (host is 10.0.2.2 then).

SAMBA shares also trigger the crash, just less often. But I have not had another crash for the last few hours now, since overwriting the vboxguest.sys file with the one at the top of this page.

Perhaps you could bold the "up to the size specified"?

Ok, we will think about this as you are not the first one misunderstanding this issue.

Thanks!

comment:132 Changed 6 years ago by lesliev

Ah, I see the open tickets list, easy to find. I guess I should have looked through the list before I started installing things.

comment:133 follow-up: ↓ 134 Changed 6 years ago by sandervl73

  • Summary changed from Windows XP crashes when using shared folders to Windows XP crashes when using shared folders -> fixed in 1.6.2

I'll close this old defect. Please open new defects after 1.6.2.

comment:134 in reply to: ↑ 133 ; follow-up: ↓ 135 Changed 6 years ago by beau.raines

Replying to sandervl73:

I'll close this old defect. Please open new defects after 1.6.2.

When I try to download the version for Ubuntu 8.04 x86, it offers virtualbox_1.6.0-30421_Ubuntu_hardy_i386.deb to download.

Where do I find version 1.6.2?

I can't wait to try this out!

comment:135 in reply to: ↑ 134 Changed 6 years ago by r_mano

Replying to beau.raines:

When I try to download the version for Ubuntu 8.04 x86, it offers virtualbox_1.6.0-30421_Ubuntu_hardy_i386.deb to download.

Same thing here. Not yet arrived to Sun download center?

comment:136 Changed 6 years ago by sandervl73

Patience guys. :) We haven't yet released it, but you can expect it very soon.

comment:137 Changed 6 years ago by poojac20

I hope this helps someone.

I had the same problem with ubuntu hardy heron as host and windows xp sp2 as guest. System crashed with BSOD every time I accessed a shared folder from the host from within the guest.

One search led me to this MS link  http://support.microsoft.com/kb/832143 ... For those who are trying to contact MS Support, this hotfix does NOT work for SP2 - the installer says the hotfix is older than the service pack and does not install. The problem lies somewhere else.

In my case, the problem was a bad adapter. I had two network adapters attached to my vm, vm0 and NAT and due to some reason with my network, none of these adapters were functional. I lost one full day trying to figure this out only to discover that bad network adapters were causing this BSOD. Once I disabled the adapters, the problem disappeared.

Insight was given by jo's post on this link  http://www.tutorials-win.com/SupportXP/Stopx-MRXDAVsys/

--- Pooja.

comment:138 Changed 6 years ago by lesliev

I have noticed that the new VBoxGuest.sys seems to make the problem quite rare, but it still happens now and then. ie. I still occasionally get a crash when accessing SAMBA shares. One thing that seems to trigger it well is to try installing something largish directly from the share.

So will 1.6.2 include anything more to solve this problem than just that updated .sys file?

comment:139 Changed 6 years ago by sandervl73

  • Status changed from reopened to closed
  • Resolution set to fixed

Please open other defects if there are still problems in 1.6.2.

comment:140 follow-up: ↓ 141 Changed 6 years ago by lengo

  • Status changed from closed to reopened
  • Resolution fixed deleted

I'd just like to report the same behaviour as described in this bug in version 2.0 (Ubuntu 8.04 host; Windows XP Pro SP2 Guest). Believe me, I wouldn't have found this and bothered to register and report it if I hadn't had the problem! Writing to a shared folder, created in Windows with the command

net use x:\vboxsvr\sharedfolder

crashed the Windows VM . . . I switched to 1.6.6 and--with all the same settings--shared folders works. So while it may be fixed in v. 1.6.x, v. 2.0 still seem afflicted with this bug. I love VirtualBox, but just about ditched it because of this bug. So glad it works in 1.6.6!

comment:141 in reply to: ↑ 140 Changed 6 years ago by sunlover

  • Status changed from reopened to closed
  • Resolution set to fixed

Replying to lengo:

I'd just like to report the same behaviour as described in this bug in version 2.0

Fixed in 2.0.2. See  http://www.virtualbox.org/ticket/2055

comment:142 Changed 6 years ago by sunlover

  • Summary changed from Windows XP crashes when using shared folders -> fixed in 1.6.2 to Windows XP crashes when using shared folders -> Fixed in 1.6.6 and 2.0.2

comment:143 follow-up: ↓ 146 Changed 5 years ago by itismike

  • Status changed from closed to reopened
  • Resolution fixed deleted

Think I'm experiencing this in 2.0.4 on a WinXP host w/WinXP virtual machine. Navigating to a shared folder under My Network Places > Entire Network > VirtualBox Shared Folders > \VBOXSVR\WinINSTALL causes the virtual machine to crash, and offers to send MS a report of the failure. It has happened about 5 times since installation this morning, but also has NOT happened about 10 times.

comment:144 Changed 5 years ago by frank

itismike, please attach a VBox.log of such a crashed session.

Changed 5 years ago by itismike

hoping this is the right log. As soon as I navigate to Network Places > VBOX Shared folders the VM crashed (see comment for more)

comment:145 Changed 5 years ago by itismike

Frank - Thanks for the quick response. A log is attached (cleanMachine-2008-11-04-15-12-24.log.) I'm not 100% sure this was from a crash. As indicated above, it crashes only sometimes. Thank you.

comment:146 in reply to: ↑ 143 Changed 5 years ago by sunlover

Replying to itismike:

Think I'm experiencing this in 2.0.4 on a WinXP host w/WinXP virtual machine. Navigating to a shared folder under My Network Places > Entire Network > VirtualBox Shared Folders > \VBOXSVR\WinINSTALL causes the virtual machine to crash.

Please get and install the fixed VBoxSF.sys driver from  http://www.virtualbox.org/attachment/ticket/2461/VBoxSF.sys You have to copy the VBoxSF.sys to the Windows\system32\drivers in the guest and then reboot the guest.

Also make sure that you have disabled the the WebClient? service in the guest. See  http://forums.virtualbox.org/viewtopic.php?t=2155&start=0&postdays=0&postorder=asc&highlight=mrxdav especially the last comment.

comment:147 Changed 5 years ago by sunlover

  • Status changed from reopened to closed
  • Resolution set to fixed
  • Summary changed from Windows XP crashes when using shared folders -> Fixed in 1.6.6 and 2.0.2 to Windows XP crashes when using shared folders -> Fixed in 2.1.2

Should be fixed in 2.1.2.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use